Skip to content

Get a list of project scan findings

Request

Get a list of findings for a specified project scan UUID.
This endpoint supports paging using cursor and limit parameters described in Parameters section below.

Security
bearer-key
Path
projectUuidstringrequired

UUID of the project

scanUuidstringrequired

UUID of the project scan for which to get findings

Query
limitinteger

Specifies the maximum number of items to be returned in the response.

cursorstring

Parameter indicates the starting point for retrieving results, the first call doesn't include a cursor parameter in the request, the API response includes the first set of results along with a cursor pointing to the last item retrieved.

GET
/api/v3.0/projects/{projectUuid}/scans/{scanUuid}/code/findings
curl -i -X GET \
  'https://baseUrl/api/v3.0/projects/{projectUuid}/scans/{scanUuid}/code/findings?limit=0&cursor=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
additionalDataobject
responseArray of objects(dto.FindingV3)
supportTokenstring
Response
{ "additionalData": { "cursor": 1, "next": "https://domain.com/api/v3.0/resources?cursor=1" }, "response": [ {} ], "supportToken": "string" }